package com.example.mycarctl;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class StartActivity extends Activity implements OnClickListener
{
	private TextView	ipport		= null;
	private Button		btn_ctl		= null;
	private Button		btn_auto	= null;

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_start);

		ipport = (TextView) this.findViewById(R.id.ipport);
		btn_ctl = (Button) this.findViewById(R.id.btn_ctl);
		btn_auto = (Button) this.findViewById(R.id.btn_auto);

		ControlView.ip = ipport.getText().toString();

		btn_ctl.setOnClickListener(this);
		btn_auto.setOnClickListener(this);

	}

	@Override
	public void onClick(View v)
	{
		ControlView.ip = ipport.getText().toString();
		if (v.getId() == btn_ctl.getId())
		{
			Intent intent = new Intent(this, MainActivity.class);
			intent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP);
			this.startActivity(intent);
		}
		else if (v.getId() == btn_auto.getId())
		{
			new Thread()
			{
				@Override
				public void run()
				{
					try
					{
						Thread.sleep(1000);
						ControlView.ctlSendDataLine((char) 1, (char) 0, (char) 0, (char) 0, (char) 0);
					}
					catch (InterruptedException e)
					{

					}
				}
			}.start();
		}
	}

}
