/*
 * bitmap.h
 *
 *  Created on: Apr 12, 2016
 *      Author: lidq
 */

#ifndef SRC_BITMAP_H_
#define SRC_BITMAP_H_

#include <typedef.h>

typedef struct
{
		//u16 bfType;
		u32 bfSize;
		u16 bfReserved1;
		u16 bfReserved2;
		u32 bfOffBits;
} bmp_header;

typedef struct
{
		u32 biSize;
		u32 biWidth;
		u32 biHeight;
		u16 biPlanes;
		u16 biBitCount;
		u32 biCompression;
		u32 biSizeImage;
		u32 biXPelsPerMeter;
		u32 biYPelsPerMeter;
		u32 biClrUsed;
		u32 biClrImportant;
} bmp_info_header;

typedef struct
{
		unsigned char rgbBlue; //该颜色的蓝色分量
		unsigned char rgbGreen; //该颜色的绿色分量
		unsigned char rgbRed; //该颜色的红色分量
		unsigned char rgbReserved; //保留值
} bmp_rgb;

typedef struct
{
		int width;
		int height;
		int channels;
		unsigned char* imageData;
} bmp_image;

#endif /* SRC_BITMAP_H_ */
