/*
 * dt_config.h
 *
 *  Created on: Jan 18, 2016
 *      Author: lidq
 */

#ifndef _INCLUDE_DT_CONFIG_H_
#define _INCLUDE_DT_CONFIG_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <typedef.h>

#define MYCAR_PATH 					"MYCAR_PATH"

//配置文件
typedef struct
{
	//最大并发数
	u32 max_client_count;
	//最大同时等待数
	u32 max_accept_count;
	//绑定端口等待时间
	u32 bind_wait_secs;
	//端口
	u32 server_port;
} s_config;

//载入配置文件
boolean config_load(s_config *config);

#endif /* INCLUDE_DT_CONFIG_H_ */
