/*
 * driver.h
 *
 *  Created on: Apr 16, 2016
 *      Author: lidq
 */

#ifndef _INCLUDE_DRIVER_H_
#define _INCLUDE_DRIVER_H_

#include <typedef.h>
#include <engine.h>

#define PORT_LEFT_IN1	(12)
#define PORT_LEFT_IN2	(13)
#define PORT_LEFT_ENV	(14)

#define PORT_RIGHT_IN1	(3)
#define PORT_RIGHT_IN2	(4)
#define PORT_RIGHT_ENV	(2)

#define PORT_CS_TRIG	(1)
#define PORT_CS_ECHO	(0)

typedef struct
{
	int speed_left;
	int speed_right;

	int timer_env_left;
	int timer_env_right;

	double distance;
} drvier_car;

void driver_setup();

void driver_run_env_left();

void driver_run_env_right();

void driver_left_env(int ena);

void driver_right_env(int ena);

void driver_left_stop();

void driver_left_forward();

void driver_left_back();

void driver_right_stop();

void driver_right_forward();

void driver_right_back();

void driver_set_speed(int s_left, int s_right);

double driver_impact_checking();

void driver_run_distance();

int driver_abs(int val);

#endif /* INCLUDE_DRIVER_H_ */
