/*
 * control.c
 *
 *  Created on: Apr 13, 2016
 *      Author: lidq
 */

#include <control.h>

void ctl_get_data(int socket)
{
	s_ctl sctl;
	int recv_size = -1;

	for (int i = 0; recv_size < 0 && i < 100; i++)
	{

		recv_size = recv(socket, &sctl, 1024, 0);
		usleep(100);
	}

	if (recv_size < sizeof(sctl))
	{
		return;
	}

	if (!(sctl.mode == 0 || sctl.mode == 1))
	{
		return;
	}

	if (!(sctl.ctl_rotate_type == 0 || sctl.ctl_rotate_type == 1 || sctl.ctl_rotate_type == 2))
	{
		return;
	}

	if (sctl.ctl_radius > 100)
	{
		sctl.ctl_radius = 100;
	}
	if (sctl.ctl_radius < 0)
	{
		sctl.ctl_radius = 0;
	}

	double radius = (double) sctl.ctl_radius / 100.0;

	engine_control_set(sctl.mode, sctl.ctl_direct, sctl.ctl_rotate_type, radius);

	sctl.mode = 0;
	sctl.ctl_direct = 0;
	sctl.ctl_rotate_type = 0;
	sctl.ctl_radius = 0;

}
